Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.common
Class SlideException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.slide.common.SlideException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AuthenticateException, ConflictException, ContentException, ExtractorException, ForbiddenException, IndexException, InvalidNamespaceConfigurationException, LockException, NamespaceException, NestedSlideException, PropertyParseException, SearchException, SecurityException, ServiceAccessException, ServiceConnectionFailedException, ServiceDisconnectionFailedException, ServiceInitializationFailedException, ServiceParameterErrorException, ServiceParameterMissingException, ServiceRegistrationFailedException, ServiceResetFailedException, SLMLParsingException, StructureException, UnableToLocateServiceException, UnknownObjectClassException, UnknownServiceDeclarationException, VetoException

public class SlideException
extends java.lang.Exception

Exception supertype for all Slide components.

Version:
  $Revision: 1.10 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`SlideException(java.lang.String message)` SlideException with logging.
`SlideException(java.lang.String message, boolean showTrace)` SlideException with or without logging.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SlideException

    public SlideException(java.lang.String message)

  SlideException with logging.

Parameters:
  `message` - Exception message

### SlideException

    public SlideException(java.lang.String message,
                          boolean showTrace)

  SlideException with or without logging.

Parameters:
  `message` - Exception message
  `showTrace` - Defines whether or not something is logged

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD